| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
Endpoint Class Reference
eProsima Fast DDS API Reference » RTPS » Common Module.

Class Endpoint, all entities of the RTPS network derive from this class. More...

`#include <Endpoint.hpp>`

Inheritance diagram for Endpoint:
[legend]

## Public Member Functions

FASTDDS_EXPORTED_API const GUID_t & | getGuid () const
| Get associated GUID.
FASTDDS_EXPORTED_API RecursiveTimedMutex & | getMutex ()
| Get mutex.
FASTDDS_EXPORTED_API EndpointAttributes & | getAttributes ()
| Get associated attributes.

## Protected Member Functions

| Endpoint ()=default
| Endpoint (RTPSParticipantImpl *pimpl, const GUID_t &guid, const EndpointAttributes &att)
virtual | ~Endpoint ()

## Protected Attributes

RTPSParticipantImpl * | mp_RTPSParticipant
| Pointer to the RTPSParticipant containing this endpoint.
const GUID_t | m_guid
| Endpoint GUID.
EndpointAttributes | m_att
| Endpoint Attributes.
RecursiveTimedMutex | mp_mutex
| Endpoint Mutex.
uint32_t | fixed_payload_size_ = 0
| Fixed size of payloads.

## Friends

class | RTPSParticipantImpl

## Detailed Description

Class Endpoint, all entities of the RTPS network derive from this class.

Although the RTPSParticipant is also defined as an endpoint in the RTPS specification, in this implementation the RTPSParticipant class does not inherit from the endpoint class. Each Endpoint object owns a pointer to the RTPSParticipant it belongs to.

## Constructor & Destructor Documentation

## ◆ Endpoint() [1/2]

Endpoint | ( |  | ) |

protected default

## ◆ Endpoint() [2/2]

Endpoint | ( | RTPSParticipantImpl * | pimpl,
|  | const GUID_t & | guid,
|  | const EndpointAttributes & | att )

inline protected

## ◆ ~Endpoint()

virtual ~Endpoint | ( |  | ) |

inline protected virtual

## Member Function Documentation

## ◆ getAttributes()

FASTDDS_EXPORTED_API EndpointAttributes & getAttributes | ( |  | ) |

inline

Get associated attributes.

Returns
  Endpoint attributes

## ◆ getGuid()

FASTDDS_EXPORTED_API const GUID_t & getGuid | ( |  | ) | const

inline

Get associated GUID.

Returns
  Associated GUID

## ◆ getMutex()

FASTDDS_EXPORTED_API RecursiveTimedMutex & getMutex | ( |  | ) |

inline

Get mutex.

Returns
  Associated Mutex

## Friends And Related Symbol Documentation

## ◆ RTPSParticipantImpl

friend class RTPSParticipantImpl

friend

## Member Data Documentation

## ◆ fixed_payload_size_

uint32_t fixed_payload_size_ = 0

protected

Fixed size of payloads.

## ◆ m_att

EndpointAttributes m_att

protected

Endpoint Attributes.

## ◆ m_guid

const GUID_t m_guid

protected

Endpoint GUID.

## ◆ mp_mutex

RecursiveTimedMutex mp_mutex

mutable protected

Endpoint Mutex.

## ◆ mp_RTPSParticipant

RTPSParticipantImpl* mp_RTPSParticipant

protected

Pointer to the RTPSParticipant containing this endpoint.

The documentation for this class was generated from the following file:

- include/fastdds/rtps/Endpoint.hpp